CodeIgniter 4.1.0 released - now supporting PHP 8

PHP CodeIgniter MVC

Version 4.1.0 of the CodeIgniter framework has just been released.

This is mostly a bugfix release, but the major change is that the framework now supports PHP 8, so you can safely run it on a server that's using PHP 8.

The full list of changes is available in the changelog here.

The content of my CodeIgniter course isn't affected.

To upgrade, simply run composer update from the root of your project:

Thank you to all the CodeIgniter devs for this!